/* global Bdf,$$, Ficheframe */

Ficheframe.Position = function (startY, endY, element, goto, startX) {
    this.startY = startY;
    this.endY = endY;
    this.element = element;
    this.goto = goto;
    this.startMargin = startY;
    this.endMargin = endY;
    this.startX = startX;
};

Ficheframe.Position.prototype.contains = function (y) {
    if ((y >= this.startY) && (y <= this.endY)) {
        return true;
    } else {
        return false;
    }
};

Ficheframe.Position.prototype.containsWithMargin = function (y) {
    if ((y >= this.startMargin) && (y <= this.endMargin)) {
        return true;
    } else {
        return false;
    }
};

Ficheframe.Position.prototype.compare = function (y) {
    if (y < this.startY) {
        return -1;
    }
    if (y > this.endY) {
        return 1;
    }
    return 0;
};

Ficheframe.Position.prototype.setBackground = function (color) {
    this.element.style.backgroundColor = color;
};

